#version 330 core

uniform sampler2D texture0;
uniform vec3 color;

in vec2 vf_texCoords;

out vec4 outColor;

void main(void)
{
	float alpha = texture(texture0, vf_texCoords).r;
	outColor = vec4(color, alpha);
}
