#ifndef _IDENTITYTRANSFORM_H_
#define _IDENTITYTRANSFORM_H_

#include "Transform.h"

/**
	Transform that propagates the parent transform without change.
*/
class IdentityTransform : public Transform
{
public:
	IdentityTransform();

	virtual glm::mat4 propagate(const glm::mat4& inhTransform, float inhScale, float* totalScale);
	virtual void update();
};


#endif _IDENTITYTRANSFORM_H_