#include "Renderable.h"

Renderable::Renderable()
	: _canCut(true), _canBeCut(true), _localAngle(-1.f)
{
}

void Renderable::select(){}
void Renderable::deselect(){}

void Renderable::setCanBeCut(bool c)
{
	_canBeCut = c;
}

bool Renderable::canBeCut()
{
	return _canBeCut;
}

void Renderable::setCanCut(bool c)
{
	_canCut = c;
}

bool Renderable::canCut()
{
	return _canCut;
}

void Renderable::setLocalAngle(float angle)
{
	_localAngle = min(90.f,angle);
}

float Renderable::getLocalAngle()
{
	return _localAngle;
}