#version 330 core

layout(pixel_center_integer) in vec4 gl_FragCoord; // pixel positions at integer coordinates

uniform vec3 color;

uniform vec2 invImageSize; // 1.0/width, 1.0/height

out vec4 outColor;

in vec3 vf_color;

void main(void)
{
	if (int(gl_FragCoord.x) % 2 == int(gl_FragCoord.y) % 2)
		discard;

	outColor = vec4(vf_color*color, 1.0);
}