#ifndef _GEOMETRY_H_
#define _GEOMETRY_H_

#include "Mesh.h"

/**
	Provides methods to create often used geometric primitives.
*/
class Geometry
{
public:
	/**
		Creates a VAO containing a quad spanning the whole canvas in NDC.
		@param [out] mesh output of the quad
		@param mirrorVertical texture coordinates will be mirrored vertically iff true
	*/
	static void createScreenQuad(Mesh* mesh, bool mirrorVertical=false);
};


#endif